commit: d032b17897278659ae103d1bcf2aea7739cdbfbb
Author: Joe M <joe9mail <AT> gmail <DOT> com>
AuthorDate: Fri Aug 29 14:10:58 2014 +0000
Commit: William Hubbs <williamh <AT> gentoo <DOT> org>
CommitDate: Fri Aug 29 14:10:58 2014 +0000
URL:
http://sources.gentoo.org/gitweb/?p=proj/openrc.git;a=commit;h=d032b178
savecache: check permissions on the correct directory
---
init.d/savecache.in | 4 ++--
1 file changed, 2 insertions(+), 2 deletions(-)
diff --git a/init.d/savecache.in b/init.d/savecache.in
index 9040732..dde02dd 100644
--- a/init.d/savecache.in
+++ b/init.d/savecache.in
@@ -13,8 +13,8 @@ start()
return 1
fi
fi
- if ! checkpath -W "$RC_LIBEXECDIR"; then
- ewarn "WARNING: ${RC_LIBEXECDIR} is not writable!"
+ if ! checkpath -W "$RC_LIBEXECDIR"/cache; then
+ ewarn "WARNING: ${RC_LIBEXECDIR}/cache is not writable!"
if ! yesno "${RC_GOINGDOWN}"; then
ewarn "Unable to save deptree cache"
return 1